idna_to_unicode_4z4z(3)

NAME
idna_to_unicode_4z4z - API function

SYNOPSIS
#include <idna.h>

int idna_to_unicode_4z4z(const uint32_t * input, uint32_t ** output, int flags);

ARGUMENTS

const uint32_t * input
    zero-terminated Unicode string.

uint32_t ** output
    pointer to newly allocated output Unicode string.

int flags
    an Idna_flags value, e.g., IDNA_ALLOW_UNASSIGNED or IDNA_USE_STD3_ASCII_RULES.

DESCRIPTION
Convert possibly ACE encoded domain name in UCS-4 format into a UCS-4 string. The domain name may contain several labels, separated by dots. The output buffer must be deallocated by the caller.

RETURN VALUE
Returns IDNA_SUCCESS on success, or error code.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.